Subject: [PATCH 1/6] clk: tegra: don't abort clk init on error

From: [email-masked] (Stephen Warren)
Date: Tue, 22 Jul 2014 11:16:15 -0600

On 07/15/2014 09:24 AM, Peter De Schrijver wrote:
> Just continue initializing clocks if there's an error on one of them. This
> is useful if there's a mistake in the inittable, because the system could
> hang if clk_disable_unused() disables some of the critical clocks in this
> table.

If there's a problem in the init table, we should simply fix it instead
of working around it.

At the very least, we need to WARN on this rather than just ignoring
problems.